import { jsx as _jsx } from "react/jsx-runtime";
// (C) 2020-2026 GoodData Corporation
import { useIntl } from "react-intl";
import { useWorkspaceStrict } from "@gooddata/sdk-ui";
import { ParameterDetail } from "./ParameterDetail.js";
export function ProjectIdParameterDetail({ title }) {
    const value = useWorkspaceStrict();
    const intl = useIntl();
    return (_jsx(ParameterDetail, { title: title, typeName: intl.formatMessage({
            id: "configurationPanel.drillIntoUrl.editor.identifierTypeLabel",
        }), useEllipsis: false, values: [value] }));
}
